> ## Documentation Index
> Fetch the complete documentation index at: https://docs.valyx.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Fetch tags of a fee components



## OpenAPI

````yaml GET /billing/feeComponentTag/fetch/feeComponent/{fee_component_id}
openapi: 3.1.0
info:
  title: OpenAPI Valyx API
  description: To demonstrate features in the Valyx
  license:
    name: MIT
  version: 1.0.0
servers:
  - url: https://api.valyx.com
security:
  - bearerAuth:
      - demo-api
tags:
  - name: billing
    description: External Billing APIs
  - name: external
    description: External APIs for customers
  - name: invoice
    description: Invoice APIs
  - name: creditNote
    description: Credit Note APIs
paths:
  /billing/feeComponentTag/fetch/feeComponent/{fee_component_id}:
    parameters:
      - name: fee_component_id
        in: path
        required: true
        schema:
          type: string
    get:
      tags:
        - billing
      operationId: get_fetch_fee_component_tag
      parameters:
        - name: X-Valyx-Signature
          in: header
          required: true
          description: Auth key for fetching ledger entries
          schema:
            type: string
        - name: X-Fields
          in: header
          description: An optional fields mask
          schema:
            type: string
            format: mask
      responses:
        '200':
          description: Success
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/FeeComponentTagListResponseModel'
components:
  schemas:
    FeeComponentTagListResponseModel:
      properties:
        error:
          type: string
        message:
          type: string
        data:
          type: array
          items:
            $ref: '#/components/schemas/FeeComponentTagData'
      type: object
    FeeComponentTagData:
      properties:
        id:
          type: object
        name:
          type: object
        values:
          type: object
        feeComponentId:
          type: object
        status:
          type: object
        companyId:
          type: object
        createdBy:
          type: object
      type: object

````